'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var PropTypes = _interopDefault(require('prop-types'));
var __chunk_1 = require('./chunk-582bef72.js');
var React = _interopDefault(require('react'));
var styledTools = require('styled-tools');
var __chunk_2 = require('./chunk-67afb756.js');
var styled = require('./styled.js');
var as = require('./as.js');

var theme = PropTypes.object;
var innerRef = PropTypes.any;
var globalPropTypes = {
  theme: theme,
  innerRef: innerRef
};

var Position;

(function (Position) {
  Position["static"] = "static";
  Position["absolute"] = "absolute";
  Position["fixed"] = "fixed";
  Position["relative"] = "relative";
  Position["sticky"] = "sticky";
})(Position || (Position = {}));

var positions = Object.keys(Position);

var Component = function Component(_ref) {
  var T = _ref.as,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["as"]);

  return React.createElement(T, props);
};

var Base = styled.default(Component).withConfig({
  displayName: "Base"
})(["margin:0;padding:0;border:0;font-size:100%;font-family:inherit;vertical-align:baseline;box-sizing:border-box;", ";&&&{", ";}"], styledTools.prop("theme.Base"), __chunk_2.bool("position", positions));
var asTypes = [PropTypes.func, PropTypes.string]; // @ts-ignore

Base.propTypes = __chunk_1._objectSpread({}, globalPropTypes, {
  as: PropTypes.oneOfType(asTypes.concat([PropTypes.arrayOf(PropTypes.oneOfType(asTypes))])),
  static: PropTypes.bool,
  absolute: PropTypes.bool,
  fixed: PropTypes.bool,
  relative: PropTypes.bool,
  sticky: PropTypes.bool
});
var Base$1 = as.default("div")(Base);

exports.globalPropTypes = globalPropTypes;
exports.Base = Base$1;
